package edu.chl.hajo.monopoly.ctrl;

import edu.chl.hajo.monopoly.core.Game;
import edu.chl.hajo.monopoly.core.IGame;
import edu.chl.hajo.monopoly.core.Player;
import edu.chl.hajo.monopoly.core.space.Property;
import edu.chl.hajo.monopoly.rules.Rules;
/**
 * Control
 * @author hajo
 *
 */
// TODO test this
public class SellPropertyCtrl {
	
	private IGame g = Game.getInstance(); 
	private Property property;
	
	public SellPropertyCtrl(Property property) {
		this.property = property;
	}

	public void execute() {
		
		if( !Rules.sellPropertyEnabled(property)){
			return;
		}
		
		Player p = g.getActualPlayer();
		p.removeProperty(property);
		property.setOwner(null);	
		p.addIncome(property.getPrice());	
	}

}
