package edu.chl.hajo.monopoly.view;
import java.awt.GridLayout;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.LineBorder;

import edu.chl.hajo.monopoly.constants.StateChanges;
import edu.chl.hajo.monopoly.core.Player;


/**
* This code was edited or generated using CloudGarden's Jigloo
* SWT/Swing GUI Builder, which is free for non-commercial
* use. If Jigloo is being used commercially (ie, by a corporation,
* company or business for any purpose whatever) then you
* should purchase a license for each developer using Jigloo.
* Please visit www.cloudgarden.com for details.
* Use of Jigloo implies acceptance of these licensing terms.
* A COMMERCIAL LICENSE HAS NOT BEEN PURCHASED FOR
* THIS MACHINE, SO JIGLOO OR THIS CODE CANNOT BE USED
* LEGALLY FOR ANY CORPORATE OR COMMERCIAL PURPOSE.
*/
/**
 * Display of Propery
 * @author hajo
 *
 */
@SuppressWarnings("serial")
public class PlayerPanel extends JPanel implements PropertyChangeListener {
	private JLabel jLabel1;
	private JLabel jLblPos;
	private JLabel jLblBalance;
	private JLabel jLabel5;
	private JLabel jLblProperties;
	private JLabel jLblPiece;
	private JLabel jLabel4;
	private JLabel jLabel3;
	private JLabel jLabel2;
	private JLabel jLblName;

	public PlayerPanel() { // TODO Jigloo ned this
	}
	
	public PlayerPanel(Player player) {
		player.addObserver(this);
		initGUI();
		jLblPos.setText(String.valueOf(player.getPosition()));
		jLblBalance.setText(String.valueOf(player.getBalance()));
		jLblName.setText(player.getName());
		jLblProperties.setText("none");
		jLblPiece.setText(player.getPiece().toString());
	}

	@Override
	public void propertyChange(PropertyChangeEvent evt) {
		String name = evt.getPropertyName();
		// TODO remove
		System.out.println(name);
		if( name.equals(StateChanges.PLAYER_POSITION.toString())){
			jLblPos.setText(String.valueOf(evt.getNewValue()));
		}else if (name.equals(StateChanges.PLAYER_WITHDRAW.toString())){
			jLblBalance.setText(String.valueOf(evt.getNewValue()));
		}
	}
	
	private void initGUI() {
		try {
			{
				GridLayout thisLayout = new GridLayout(5, 2);
				thisLayout.setHgap(5);
				thisLayout.setVgap(5);
				thisLayout.setColumns(2);
				thisLayout.setRows(5);
				this.setLayout(thisLayout);
				//this.setPreferredSize(new java.awt.Dimension(204, 122));
				this.setBorder(new LineBorder(new java.awt.Color(0,0,0), 1, false));
				{
					jLabel1 = new JLabel();
					this.add(jLabel1);
					jLabel1.setText("Name");
				}
				{
					jLblName = new JLabel();
					this.add(jLblName);
					jLblName.setText("jLblName");
				}
				{
					jLabel4 = new JLabel();
					this.add(jLabel4);
					jLabel4.setText("Piece");
				}
				{
					jLblPiece = new JLabel();
					this.add(jLblPiece);
					jLblPiece.setText("jLblPiece");
				}
				{
					jLabel2 = new JLabel();
					this.add(jLabel2);
					jLabel2.setText("Position");
				}
				{
					jLblPos = new JLabel();
					this.add(jLblPos);
					jLblPos.setText("jLblPos");
				}
				{
					jLabel3 = new JLabel();
					this.add(jLabel3);
					jLabel3.setText("Balance");
				}
				{
					jLblBalance = new JLabel();
					this.add(jLblBalance);
					jLblBalance.setText("jLblBalance");
				}
				{
					jLabel5 = new JLabel();
					this.add(jLabel5);
					jLabel5.setText("Properties");
				}
				{
					jLblProperties = new JLabel();
					this.add(jLblProperties);
					jLblProperties.setText("jLblProperties");
				}
			}
		} catch(Exception e) {
			e.printStackTrace();
		}
	}

}
