package edu.chl.hajo.monopoly.view.details;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JDialog;
import javax.swing.JPanel;

import edu.chl.hajo.monopoly.core.space.AbstractSpace;

/**
 * Common code for Details
 * @author hajo
 *
 */
@SuppressWarnings("serial")
public abstract class AbstractDetails extends JDialog {

	public AbstractDetails(JPanel parent, AbstractSpace space) {
		this.setLocationRelativeTo(parent);
		this.setModalityType(ModalityType.APPLICATION_MODAL);
		this.setTitle(space.getName());
		this.addWindowListener(new WindowAdapter() {

			@Override
			public void windowOpened(WindowEvent e) {
				onOpen();

			}
		});
	}
	
	protected abstract void onOpen();
}
