package edu.chl.hajo.monopoly.core;


/**
 * This is just an global access point for the IGame 
 * (bootstrap) interface used by GUI
 * @author hajo
 *
 */
public class Locator {

	private static IGame game;
	
	// Done once!
	public static void set(IGame b) {
		if( game != null){
			throw new IllegalStateException("Alreade set " + game);
		}
		Locator.game = b;
	}

	public static IGame getGame() {
		return game;
	}
	
}
