package edu.chl.hajo.monopoly.constants;

/**
 * State changes fired by model 
 * 
 * NOTE: A separation of StateChanges and GameEvents
 * was taken as a design decision, semms not to be needed (?)
 * but kept anyway.
 * 
 * @author hajo
 * 
 */
public enum StateChanges {
	SPACE_ADD_VISITING,
	SPACE_REMOVE_VISITING,
	
	GAME_NEW_ACTUAL_PLAYER,
	GAME_NEW_PLAYERS,
	
	PLAYER_WITHDRAW,
	PLAYER_ADD_INCOME,
	PLAYER_IN_JAIL, 
	
	PROPERTY_GOT_OWNER,
	PROPERTY_LOST_OWNER, 
	
	STREET_ADD_BUILDING,
	STREET_REMOVE_BUILDING,
	
	DICE_FST_THROWN,
	DICE_SEC_THROWN,
}
