package edu.chl.hajo.monopoly.core;

import java.util.List;

import edu.chl.hajo.monopoly.core.space.AbstractSpace;

/**
 * Interface for the game. 
 * This is interface to an anemic model (no logic in model
 * just data, contrary to domain driven design).
 * All logic in the controllers.
 * 
 * @author hajo
 * 
 */
public interface IGame {

	public abstract Player getActualPlayer();

	public abstract void setActualPlayer(Player actualPlayer);

	public abstract AbstractSpace getActualSpace();

	public abstract List<AbstractSpace> getSpaces();

	public abstract List<Player> getPlayers();

	public abstract void setPlayers(List<Player> players);

	public abstract Dices getDices();
	// TODO Ugly...
	public abstract void message(String mesage);

}