package edu.chl.hajo.mply;

import java.util.Scanner;

import edu.chl.hajo.mply.constants.PieceTag;
import edu.chl.hajo.mply.core.Board;
import edu.chl.hajo.mply.core.Dice;
import edu.chl.hajo.mply.core.P;
import edu.chl.hajo.mply.core.Piece;
import edu.chl.hajo.mply.core.Player;
import edu.chl.hajo.mply.core.Space;

/**
 * This is the "manual" integration test. Used to test
 * how the classes fit together (it a stand alone program).
 * 
 * @author hajo
 *
 */
public class Main {

    public void run() {
        // Monopoly mply = Monopoly.getInstance();
        Board b = new Board();
        Piece p1 = new Piece(new Player("pelle"), PieceTag.CAR);
        Piece p2 = new Piece(new Player("fia"), PieceTag.DOG);
        Piece actual = p1;
        Dice d = new Dice(P.INSTANCE.getMaxDice());

        Scanner in = new Scanner(System.in);
        while (true) {
            dump(b, p1, p2);
            System.out.println(actual.getTag().toString() + actual.getPlayer());
            System.out.print(">");
            String line = in.nextLine();
            if (line.equals("m")) {  // Do a move
                int i = actual.getPlayer().roll(d);
                System.out.println("Dice: " + i );
                actual.move(i);
                // TODO Here??
                if( i <= d.getMax()){
                    actual = (actual.getPlayer().getName().equals("pelle")) ? p2
                            : p1; 
                }
            } else if (line.equals("b")) {  // buy  
                 
                
            } else {

            }  
        }
    }

    private void dump(Board b, Piece p1, Piece p2) {
        for (Space s : b.getSpaces()) {
            System.out.print(s);
            if (p1.getPosition() == s.getId()) {
                System.out.print(p1.getTag());
            }
            if (p2.getPosition() == s.getId()) {
                System.out.print(p2.getTag());
            }
        }
        System.out.println();
    }

    public static void main(String[] args) {
        new Main().run();
    }
}
