package edu.chl.hajo.mply.core;

import java.util.Random;

/**
 * Yes, a dice 
 * @author hajo
 *
 */
public class Dice {
    
    private final int sides;
	private final Random r = new Random();
	
	public Dice(int sides){
	    this.sides = sides;
	}
	
	public int roll(){
		return r.nextInt(sides) + 1;
	}

    public int getMax() {
        return sides;
    }
}
