package edu.chl.hajo.monopoly04;

import javax.swing.SwingUtilities;

import edu.chl.hajo.monopoly04.adapter.EventAdapter;
import edu.chl.hajo.monopoly04.model.Monopoly04;
import edu.chl.hajo.monopoly04.model.MonopolyFactory;
import edu.chl.hajo.monopoly04.view.GUIFactory;

/**
 * Application entry
 * @author hajo
 *
 */

public class Main {

    public static void main(String[] args) {
        final Monopoly04 mp = MonopolyFactory.getMonopoly();

        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                GUIFactory.getMainFrame(new EventAdapter(mp)).setVisible(true);
            }
        });

    }

}
