package edu.chl.hajo.monopoly04.dialogs;

import java.awt.FlowLayout;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;

import edu.chl.hajo.monopoly04.model.IPlayer;

/**
 * To pay rent
 * @author hajo
 *
 */

@SuppressWarnings("serial")
public class PayDialog extends JDialog {

    private final IPlayer p;

    public PayDialog(IPlayer p) {
        this.p = p;
        this.setTitle("U Pay... or die");
        this.setSize(300, 200);
        this.setLayout(new FlowLayout());
        this.setDefaultCloseOperation(DISPOSE_ON_CLOSE);
        this.setLocationRelativeTo(null);
        JLabel msg = new JLabel("You have a debt " + p.getDept().toString());
        this.add(msg);
        // TODO connect button to ctrl
        this.add(new JButton("Pay"));
    }

}
