package edu.chl.hajo.monopoly04.view;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;

/**
 * Application main window
 * @author hajo
 *
 */
@SuppressWarnings("serial")
public class MainFrame extends JFrame implements ActionListener {

    private JPanel mainPanel;

    public MainFrame() {
        init();
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        if (e.getActionCommand().equals("New")) {
            mainPanel = GUIFactory.getMainPanel();
            this.add(mainPanel, BorderLayout.CENTER);
            validate();
        }
    }

    private void init() {
        this.setTitle("Monopoly");
        this.setLocationRelativeTo(null);
        this.setDefaultCloseOperation(EXIT_ON_CLOSE);
        this.setLayout(new BorderLayout());
        // Simple menu
        JMenuBar menuBar = new JMenuBar();
        JMenu file = new JMenu("File");
        menuBar.add(file);
        JMenuItem start = new JMenuItem("New");
        start.addActionListener(this);
        file.add(start);
        JMenuItem exit = new JMenuItem("Exit");
        exit.addActionListener(this);
        file.add(start);
        file.add(exit);
        this.setJMenuBar(menuBar);
        this.setSize(500, 300);
    }
}
