package edu.chl.hajo.monopoly.core;

import java.util.List;

import edu.chl.hajo.monopoly.core.space.AbstractSpace;
import edu.chl.hajo.monopoly.util.IObservable;

/**
 * Perform state changes. Called from GUI (buttons etc)
 * 
 * @author hajo
 * 
 */
public interface IGame extends IObservable {
	public abstract void switchActualPlayer();

	public abstract Player getActualPlayer();

	public abstract AbstractSpace getActualSpace();

	public abstract List<AbstractSpace> getSpaces();

	public abstract List<Player> getPlayers();

	public abstract Dices getDices();

}