package edu.chl.hajo.monopoly.view.dialog;

import javax.swing.JFrame;

import edu.chl.hajo.monopoly.core.Locator;
import edu.chl.hajo.monopoly.core.space.Property;


/**
 * Will show up if player hits other players property
 * 
 * @author hajo
 * 
 */
@SuppressWarnings("serial")
public class PropertyPayRentDialog extends AbstractEventDialog {

	private Property property;

	public PropertyPayRentDialog(JFrame parent, Property property) {
		super(parent);
		this.property = property;
	}

	@Override
	public void execute() {
		Locator.getGame().getPlayer().withdraw(property.getRent());	
		this.dispose();
	}
}
