package edu.chl.hajo.mply.core;

import java.util.Random;

import edu.chl.hajo.mply.event.Event;
import edu.chl.hajo.mply.event.EventBus;

/**
 * Yes, a dice 
 * @author hajo
 *
 */
public class Dice {
    
    private final int sides;
	private final Random r = new Random();
	
	public Dice(int sides){
	    this.sides = sides;
	}
	
	public int roll(){
	    int i = r.nextInt(sides) + 1;
	    EventBus.publish(new Event(Event.Tag.DICE_VALUE, i));
		return i;
	}

    public int getMax() {
        return sides;
    }
}
