package edu.chl.hajo.mply.gui;

import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;

import edu.chl.hajo.mply.core.Card;
import edu.chl.hajo.mply.core.Monopoly;

/**
 * This should pop up if player hit a card space
 * @author hajo
 *
 */
@SuppressWarnings("serial")
public class CardDialog extends JDialog implements ActionListener{

    Card card;
    JButton ok = new JButton("OK");
    
    public CardDialog(Card card) {
        this.card = card;
        init();
    }
    

    @Override
    public void actionPerformed(ActionEvent arg0) {
       Monopoly.INSTANCE.actOnCard(card); 
       this.dispose();
    }

    private void init() {
        setSize(200, 200);
        setLayout(new GridLayout(1, 2));
        add( new JLabel(card.toString()));
        ok.addActionListener(this);
        add(ok);
        
    }


}
