package edu.chl.hajo.mply.core;

import static org.junit.Assert.*;

import org.junit.Test;

/**
 * Unit test for Piece class
 * 
 * NOTE: For now most classes are trivial, so no tests
 * 
 * @author hajo
 *
 */
public class TestPiece {

    @Test
    public void testMove() {
        // Default position is 0
        Piece p = new Piece(null, null);
        
        p.move(P.INSTANCE.getMaxSpaces());
        
        assertTrue( p.getPosition() == 0);
    }
    
    @Test
    public void testMovable() {
        Piece p = new Piece(null, null);
        
        p.move(P.INSTANCE.getMaxDice());
        
        assertTrue( p.isMovable());  // If max may roll dices again
        
        p.move(P.INSTANCE.getMaxDice()-1);
        assertTrue( !p.isMovable());
        
    }

}


