package monopoly02;

/**
 * Used to record a debt if player hits spaces
 * owned by other
 * @author hajo
 *
 */
public class Debt {

    private final Player receiver;
    private final int amount;
    
    public Debt(Player receiver, int amount) {
       this.receiver  = receiver;
       this.amount = amount;
    }

    public Player getReceiver() {
        return receiver;
    }

    public int getAmount() {
        return amount;
    } 
    @Override
    public String toString(){
        return receiver + ":" + amount;
    }
}
