package edu.chl.hajo.monopoly04.model;

import java.util.Collection;

/**
 * Interface used by GUI or control
 * @author hajo
 *
 */
public interface IMonopoly {

    public abstract void start();

    public abstract void move();

    public abstract void move(int steps);

    public abstract void endTurn();

    public abstract IBoard getBoard();

    public abstract Collection<IPlayer> getPlayers();
    
    public abstract Dice getDice();
    
    public abstract IPlayer getActualPlayer();

}